import dynamix_sdk.base as _base


class CloudapiComputeCloneResultInt(_base.BaseAPIResultInt):
    pass


class CloudapiComputeCloneProtocol(_base.BasePostAPIFunctionProtocol):
    def clone(
        self,
        *,
        vm_id: int,
        name: str,
        force: bool = False,
        snapshot_timestamp: int | None = None,
        snapshot_name: str | None = None,
    ) -> CloudapiComputeCloneResultInt:
        ...
